.TH qube-srcpkg 1 "August 9, 2020" qube
.SH NAME
qube-srcpkg \- create a tarball release from sources
.SH SYNOPSIS
\fBqube-srcpkg\fR \fI\fR
.SH DESCRIPTION
\fBqube-srcpkg\fR creates a gzipped tarball with suffix \fI.tgz\fR from the sources
of a project. The tarball is intended to be provided in public.

\fBqube-srcpkg\fR must be run within the related project folder. \fBqube-srcpkg\fR
shall be invoked by \fBqubectl\fR rather than directly. \fBqubectl\fR can ensure
that it runs in the right directory with its 'path' option.

\fBqube-srcpkg\fR works in several steps. It does run \fI'make clean'\fR in the
sources directory, 


It calls \fBqube-chglog\fR to update get
the latest CHANGLOG, does run \fI'make clean'\fR in the sources directory and does
copy the clean source files into a temporary directory. This first copy step does
not include any directories. In a second turn it copies directories recursively to
the temporary directory. These directories have to be defined in the config file.
Next 


Now it calls \fBqube-chglog\fR to get the latest CHANGLOG

The second
step is to run \fI'make clean'\fR in the sources directory and copying the files into a
temporary direcrory. Optional files and/or directories could be added or removed from
this temporary directory. The last step is to create a tarball.

The name of the tarball is the project name, a minus, a version info and the suffix
\fI.tgz\fR. If the sources contains a file VERSION, the first line of it will be used
for the version info. Otherwise the version info is the date format YYYYMMDD. The 
checksum file 
the suffix \fI.sha256\fR will be created. 



.SH OPTIONS
\fIoptions\fR is a series of getopt-style short options.
.TP 8
\fI\-4\fR   force usage of IPv4
.TP 8
\fI\-q\fR   quiet, suppress any log or error messages

.SH EXAMPLE
Assuming the name of the registered virtual machine is pluto:

.EX
    $> qemud-cmd -c "info name" pluto
.EE
.SH AUTHOR
Kai Peter (©2017-present)
.SH SEE ALSO
qube-ctl(1)
