#********************************************************************************
# qware build environment - qube                                                *
#                                                                               *
#  Author: Kai Peter ©2015-YYYY                                                 *
# Version: 0.3                                                                  *
# License: ISC                                                                  *
#                                                                               *
# Description:                         *
#********************************************************************************
#---------- begin (standard) qware configuration section ------------------------
VERSION=`cat $0 | grep -m 1 'Version' | cut -d\   -f3`       # get version number
ME=`basename $0`
[ $DBG ] ||  DBG=0                        # initialize debug level (default: off)

LIBDIR="QLIBDIR"

doConfig() { $EDITOR .qube/config; }

doBinPkg() { echo "Not implemented yet." ; exit 1 ; }
doChgLog() { "$LIBDIR/qube/chglog" ; exit $? ; }
doSrcPkg() { "$LIBDIR/qube-srcpkg" ; exit $? ; }
doUpLoad() { echo "Not implemented yet." ; exit 1 ; }

doInit() {
  TPLDIR="/mnt/Projects/qube/src/skel.tpl"
  QUBEDIR="build.in"
  [ $DBG -gt 0 ] && OPTS="-v"

  # create the .qube directory
  [ ! -d .qube ] && mkdir .qube
  [ ! -f .qube/config ] && cp "$TPLDIR/config.tpl" .qube/config

  local tSRCDIR="$TPLDIR/src/$QUBEDIR"      # make source dir a bit shorter below
  mkdir -p "$QUBEDIR"
  chmod 3775 "$QUBEDIR"
  for D in control feature layouts sysdeps version ; do
    mkdir -p "$QUBEDIR/$D"
    chmod 3775 "$QUBEDIR/$D"
    for F in `ls "$tSRCDIR/$D"` ; do
      cp -n $OPTS "$tSRCDIR/$D/$F" "$QUBEDIR/$D/"
    done
  done
  # copy all files from build.in
  for F in `ls $tSRCDIR` ; do
    [ -f "$tSRCDIR/$F" ] && cp -n $OPTS "$tSRCDIR/$F" "$QUBEDIR"
  done
  # copy all files in src
  for F in `ls -a "$TPLDIR/src"` ; do
    [ -f "$TPLDIR/src/$F" ] && cp -n $OPTS "$TPLDIR/src/$F" .
  done

  [ ! -f .qube/pkginclude ] && echo "CHANGELOG" > .qube/pkginclude
#  [ ! -f .qube/pkgexclude ] && echo "" > .qube/pkgexclude
  exit 0
}

case "$1" in
        B|b*) doBinPkg;;
        L|c*) doChgLog;;
        N|init) doInit;;
        S|s*) doSrcPkg;;
        U|u*) UpLoad;;
        config) doConfig;;
        *) echo invalid action; exit 1;;
esac

